Skip to main content
POST
/
v1
/
generation
/
image
curl -X POST "https://apolloai.lol/v1/generation/image?model=titan" \
  -H "x-api-key: <api_key>" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A futuristic city skyline at sunset",
    "size": "1024x1024",
    "n": 1
  }'
{
  "created": 1706859322,
  "data": [
    {
      "b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mNk+A8AAQUBAScY42YAAAAASUVORK5CYII="
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.apolloai.lol/llms.txt

Use this file to discover all available pages before exploring further.

Generate high-quality images using the Titan Image Generator.

Headers

x-api-key
string
required
Your Apollo AI API key.

Query Parameters

model
string
required
The ID of the model to use. Must be titan (Titan Image Generator G1 V2).

Body Parameters

prompt
string
required
The text description of the image to generate.
size
string
default:"1024x1024"
The dimensions of the generated image. Supported values depend on the model (e.g., “1024x1024”, “512x512”).
n
integer
default:"1"
The number of images to generate. Note: Tier limits apply (Starter: 3/day, Economy: 10/day, Pro: 25/day, Ultimate: 50/day).

Response

created
integer
Timestamp of generation.
data
array
Array of objects containing the image data.
curl -X POST "https://apolloai.lol/v1/generation/image?model=titan" \
  -H "x-api-key: <api_key>" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A futuristic city skyline at sunset",
    "size": "1024x1024",
    "n": 1
  }'
{
  "created": 1706859322,
  "data": [
    {
      "b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mNk+A8AAQUBAScY42YAAAAASUVORK5CYII="
    }
  ]
}